@import url('https://fonts.googleapis.com/css2?family=Forum&display=swap');

:root{
  --color-body: #f9f1f8;
  --color-text: #666;
  --color-light: #dbdbdb;
  --color-pink: #c88397;
  --color-pink-dark: rgb(187, 65, 100);
  --color-error: #be2c55;
  --font-size-title: 17px; /*20*/
  --color-celeste: #2caee5;
  --color-grisacorazado:#8A817C;
  --color-grisfrances:#B7B6C1;  
  --color-carbon:#464655; 
  --color-dorado:#7f6538;
 
 
}


/* --- RESET --- */
* {
    box-sizing: border-box;
  }

  html {
    scroll-behavior: smooth;
  }
  body {
    background-image: url("./img/background.png");
    margin: 0;
    background-size: cover;
    background-repeat: no-repeat;
    /*background-position: center center;*/
    /*font-family: 'Forum', cursive;*/
    font-family: 'EB Garamond', serif;
    color: var(--color-text);
  }
  h1, h2, h3, p{
    margin-top: 0;
    margin-bottom: 0;
  }

  img {
    display: block;
    width: 100%;
  /*  max-width: 100%;*/
  }
  input {
    border: var(--color-grisfrances) solid 1px;
    outline: none;
    border-radius:15px;
  }
  button {
    font-family: inherit;
    border: none;
    border-radius:15px;
  }

/* */

main{
    margin: 0 auto;
    max-width: 780px;
    padding: 1rem; /*1rem;

   /* margin-top: 0rem;*/

}


.box__letter {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  margin-bottom: 1.5rem;
}

.box__sound{
  position: fixed;
  padding: 1rem;
  top: 0;
  right: 0;
}

.box__sound img{
  cursor: pointer;
  width: 30px;
}

.img__elefante01{
  padding:  1rem;
  height: 450px; 
}

.img__elefante02{
  height: 270px; 
}

.animate__left {
  animation-name: fadeRight;
  animation-duration: 2s;
}

@keyframes fadeRight {
  from {
    opacity: 0;
    transform: translateX(-20px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.box__letter img {
  object-fit: contain;
  height: 100%;
}


.box__letter1{
  margin-top: 0rem; /*1.2rem; */
  margin-bottom: 1rem; /*2.8rem;*/
  display: flex;
  justify-content: center;
  padding: 0 1.2rem; /*1.2rem*/
}
.box__letter1 img{
  max-width: 200px;/*370px */
}

.box__letter2{
  margin-top: 0rem; /*1.2rem; */
  margin-bottom: 0rem; /*2.8rem;*/
  display: flex;
  justify-content: center;
  padding: 0 0rem; /*1.2rem*/
}
.box__letter2 img{
  max-width: 300px;/*370px  235*/
}

.box__letter0{
  margin-top: 1.2rem; /*1.2rem; */
  margin-bottom: 1rem; /*2.8rem;*/
  display: flex;
  justify-content: center;
  padding: 0 1.2rem; /*1.2rem*/
}
.box__letter0 img{
  max-width: 200px;/*370px */
}

.box__content-hide{
  max-height: 0 ;
  overflow: hidden;
}

 .box__info{
    text-align: center;
 }

 .box__title{
    display: flex;
    justify-content: center;
    padding: 0 2rem;
    text-align: center;
    font-size: var(--font-size-title);
 }
 .box__titlen{
  font-size: 18px;
  /*font-weight: bold;*/
  font-family: 'Yeseva One', serif;
 
}
.box__titlec{
  font-size: 17px;
  font-family: 'Pattaya', sans-serif;
 
}

.zen-antique-regular{
  font-family: "Zen Antique", serif;
  font-weight: 400;
  font-style: normal;
  color:var(--color-text);
}

/*
 .box__response{
    margin-top: 20px; 50px
    padding: 0 2rem;
    display: flex;
    gap: 1rem;
    justify-content: space-around;
 }*/

 .box__response {
  margin-top: 20px;
  padding: 0rem 2rem;
  display: flex;
  gap: 1rem;
  justify-content: space-around;
}

.box__text{
  display: flex;
  justify-content: center;
  /* padding: 1.7rem 0 0 0 ; */
}

.box__icon {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  opacity: 0.7;
}
/*
 .box__icon{
   cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items:center;
    gap: 0rem; 
    opacity: 0.7;
}

.box__icon {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0rem; /*1*
  opacity: 0.7;
}*/
.box__icon:hover{
   opacity: 1;
}


.box__icon span{
    font-size: 17px;
}

.box__icon::before{
  content: "";
  width: 70px;
  aspect-ratio: 1;
  background-image: url("./img/hearth-2.svg");/*corazon nuevo**/
  background-repeat: no-repeat;
  background-size: auto 200%;
}

.response__input:checked + .box__icon {
  opacity: 1;
 
}

.response__input:checked + .box__icon::before {
  background-position: 50% 100%;
 
}


.response__input {
  opacity: 0;
  position: absolute;
}

.form__container {
  padding-bottom: 4rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.form__number {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
/*
.form__container{
  margin-top: 0rem;
  margin-bottom: 4rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;

}*/


.form__title{
  font-size: var(--font-size-title);
}

.form__select{

  width: 170px;
  background-image: url("./img/arrow.png");
  background-repeat: no-repeat;
  background-position: right 1.2em top 50%;
  background-size: 10px;
  font-family: inherit;
  cursor: pointer;
  color: var(--color-text);
  -webkit-appearance: none;
  -moz-appearance: none;
  outline: none;
  padding: 0.7rem;
  border: var(--color-grisfrances) solid 1px;  /* borde*/
  border-radius:15px;
}

.form__guest{
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.form__input{
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.form__input input{
  font-family: 'Forum', cursive;
  color: var(--color-text);/* borde*/
  padding: 0.7rem 0.9rem;
  font-size: 15px;
}


.form__input input::placeholder{
  font-family: 'Forum', cursive;
  color: var(--color-text);
  opacity: 0.9;
}

.box__contact{
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.form__btn{
  margin-top: -20px;
  display: flex;
  justify-content: center;
  border-radius:15px;
}

.btn{
  cursor: pointer;
  font-size: var(--font-size-title);
  color: inherit;
  border: var(--color-grisfrances) solid 1px;/* borde*/
  padding: 1rem 3rem;
  background-color: white;
  min-width: none;
}
.btnOculta{
  cursor: pointer;
  font-size: var(--font-size-title);
  color: inherit;
  border: var(--color-grisfrances) solid 1px;/* borde*/
  padding: 1rem 3rem;
  background-color: white;
  min-width: none;
  border-radius:15px;
}

.thk__box {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.thk__circle {
  background-color: transparent;
  width: 200px;
  aspect-ratio: 1;
  border-radius: 100%;
  border: var(--color-celeste) solid 2px;
  position: absolute;
  padding: 2rem 4rem;
  z-index: 1;
}

.thk__img {
  width: 300px;
  z-index: 10;
}

.modal {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.7);
}
.modal-content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px 25px;
  border: 1px solid #888;
  width: 60%; /*80*/
  max-width: 600px;
  text-align: center;
  position: relative;
}

.close {
  color: #aaa;
  position: absolute;
  right: 8px;
  top: 0;
  font-size: 35px;
  font-weight: bold;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.btn-accept {
  background-color: var(--color-dorado);
  color: white;
  padding: 10px 29px;
  font-size: 16px;
  border: none;  
  cursor: pointer;
}

.btn-accept:hover {
  background-color: var(--color-grisfrances);
}

.box__finish{
  display: none;
  flex-direction: column;
  gap: 0.5rem;
  margin-bottom: 1rem;
  justify-content: center;
  align-items: center;
}

.box__finish-show{
  display: flex;
}

.box__finish i{
  font-size: 35px;
}

.box__finish p{
  font-size: 20px;
}

@media (min-width: 700px) {
  .form__select {
    width: 30%;
  }
  .box__icon span {
    font-size: 25px;
  }
}

.hidden {
  display: none;
}

@media (max-width: 500px) {
  .thk__circle {
    width: 50%;
  }

  .thk__img {
    width: 80%;
  }

  .img__elefante01{
    height: 55vh;
  }

  .img__elefante02{
    height: 40vh;
    padding: 0 1rem;
  }

  .box__content{
    padding: 0 2rem;
  }
}


/*
@media (min-width: 700px) {

  body {      
    background-size: cover;
    background-repeat: no-repeat;        
  }
  .form__select{
    width: 30%;
  }
  .box__icon span{
    font-size: 25px;
}
 /* .box__letter img{
    max-width: 500px;
 }
}


@media (max-width: 500px) {
  body {    
    background-size: cover;
    background-repeat: no-repeat;   
  }
  .thk__circle {
    width: 50%;
  }

  .thk__img {
    width: 80%;
  }
}

.UbicacionMapa{
  position: relative;
  padding-bottom: 56.25%;  16:9 
  padding-top: 25px;
  height: 0;
}

iframe{
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
}





.box__response-error {
  border: 2px solid rgb(192, 76, 76); /* Puedes ajustar el estilo de resaltado aquí 
  padding: 5px;
  margin-bottom: 10px;
}
*/